# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.94"
name = "qubit-dcl"
version = "0.5.0"
authors = ["Haixing Hu <starfish.hu@gmail.com>"]
build = false
exclude = [
    "align-ci.sh",
    "ci-check.sh",
    "coverage.sh",
    "style-check.sh",
    "update-submodule.sh",
    ".github/*",
    ".llvm-cov.toml",
    ".cargo-audit.toml.example",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Reusable double-checked lock executor for Rust lock abstractions"
homepage = "https://github.com/qubit-ltd/rs-dcl"
documentation = "https://docs.rs/qubit-dcl"
readme = "README.md"
keywords = [
    "lock",
    "double-checked",
    "executor",
    "concurrency",
]
categories = ["concurrency"]
license = "Apache-2.0"
repository = "https://github.com/qubit-ltd/rs-dcl"

[lib]
name = "qubit_dcl"
path = "src/lib.rs"
doctest = true

[[example]]
name = "double_checked_lock_executor_demo"
path = "examples/double_checked_lock_executor_demo.rs"

[[test]]
name = "mod"
path = "tests/mod.rs"

[dependencies.log]
version = "0.4"

[dependencies.qubit-function]
version = "0.13"

[dependencies.qubit-lock]
version = "0.6"

[dev-dependencies.thiserror]
version = "2.0"
